<?xml version='1.0' encoding='utf-8'?>
<creole>

    <files>
        <file filelist='infosquota' name='/etc/cron.d/infosquota' source='infosquota.cron'/>
    </files>

    <containers>
       <container name="web">
           <package>eole-infosquota-apps</package>

           <service method='apache' servicelist='infosquota'>infosquota.conf</service>
           <file filelist='infosquota' name='/var/www/html/outils/quotas/config/config.inc.php' source='infosquota-config.inc.php' rm='True'/>
       </container>
   </containers>

    <variables>
        <family name='applications web'>
            <variable name='activer_infosquota' type='oui/non' description="Activer Infosquota (visualisation des quotas disques)">
                <value>oui</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <!-- AFFICHAGE EN FONCTION DE APACHE -->
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>infosquota</target>
            <target type='servicelist'>infosquota</target>
        </condition>


        <!-- AFFICHAGE EN FONCTION DE INFOSQUOTA -->
		<condition name='hidden_if_in' source='activer_infosquota'>
			<param>non</param>
			<target type='filelist'>infosquota</target>
			<target type='servicelist'>infosquota</target>            
        </condition>    
    </constraints>

    <help>
        <variable name='activer_infosquota'>Infosquota est un outil de visualisation des quotas disque des utilisateurs du réseau pédagogique</variable>
    </help>

</creole>
